Subject: bug#30815: 26.0.91; unicode right single quote mark with syntax entry of w not respected by forward-word

From: Eli Zaretskii <[email-masked]>
Date: Wed, 14 Mar 2018 19:51:11 +0200

> From: Aaron Jensen <[email-masked]>
> Date: Wed, 14 Mar 2018 10:43:08 -0700
> Cc: Noam Postavsky <[email-masked]>, [email-masked]
> 
> I wanted to change it because I started to use typo-mode:
> https://github.com/jorgenschaefer/typoel which automatically turned
> apostrophes I typed into right quotes in my org-mode files (which is
> where I had it enabled). I was ok with this, but I wanted them to
> behave like apostrophes did (not being word boundaries and all) so I
> went down this path.
> 
> I have since unbound ' in that mode, so it just inserts a normal
> apostrophe. I'm aware of the "controversy" surrounding the different
> characters and, to be honest, I can't be bothered. Filing this bug was
> a light weight attempt to see if I was missing something and/or if
> this was unexpected.
> 
> For right quote in particular, it's probably even more nuanced. One
> could use right quotes to close a single quoted piece of text. In
> which case, that right quote probably shouldn't be a "word" in the
> syntax table.
> 
> Because of all of that, I'm totally happy just using ' like a normal
> person. I'm not an author writing manuscripts.
> 
> > The next question is what other characters need this special handling,
> > and how many of them are there?
> 
> I do not know. None others that I know of, but that doesn't mean much.

Well, if this is just about ’ , then we could simply change its script
to be 'latin'.  But, as you say, that would get in the way with quoted
text.

> I'm happy to consider this issue resolved (I know it's closed and was
> merged into 10494) if everyone else is after the doc changes have been
> merged in.

OK, let's wait for other comments, and consider this resolved if none
come up.

Thanks.